<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("goods_sku", function (Blueprint $table) {
            $table->dropColumn("url_3d");
            $table->dropColumn("sn");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table("goods_sku", function (Blueprint $table) {
            $table->string("sn")->default("")->comment("型号");
            $table->string("url_3d")->default("")->comment("3D的跳转地址");
        });
    }
};
